https://marc.info/?l=linux-netdev&m=164206157726666&w=2

From: Sam James <sam@gentoo.org>
Date: Thu, 13 Jan 2022 08:05:33 +0000
Subject: [PATCH] Fix ax25.h include for musl

ax25.h isn't guaranteed to be avilable in netax25/*;
it's dependent on our choice of libc (it's not available
on musl at least) [0].

Let's use the version from linux-headers.

[0] https://sourceware.org/glibc/wiki/Synchronizing_Headers
Bug: https://bugs.gentoo.org/831102
--- a/lib/ax25_ntop.c
+++ b/lib/ax25_ntop.c
@@ -2,7 +2,7 @@
 
 #include <errno.h>
 #include <sys/socket.h>
-#include <netax25/ax25.h>
+#include <linux/ax25.h>
 
 #include "utils.h"
 
